# mlx.core.eval — MLX 0.0.7 documentation

Skip to main content
`Ctrl`+`K`

# mlx.core.eval

mlx.core.eval(*args, retain_graph: bool = False) → None

  Evaluate an `array` or tree of `array`.

  Parameters:

    - *args (arrays or trees of arrays) – Each argument can be a single array or a tree of arrays. If a tree is given the nodes can be a Python `list`, `tuple` or `dict` but the leafs must all be an `array`.

    - retain_graph (bool) – Indicate that the graph structure should be preserved. This option is intended to enable function transforms which contain control flow based on the value of an array.